XtAddExposureToRegion(3Xt)

NAME
XtAddExposureToRegion - merge exposure events into a region

SYNTAX

void XtAddExposureToRegion(XEvent *event, Region region);

ARGUMENTS

event
    Specifies a pointer to the or event.

region
    Specifies the region object (as defined in

DESCRIPTION
The function computes the union of the rectangle defined by the exposure event and the specified region. Then, it stores the results back in region. If the event argument is not an or event, returns without an error and without modifying region.

This function is used by the exposure compression mechanism (see Section 7.9.3).

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface